### Property

# WebKit2 NavigationPolicyDecision:frame-name

deprecated: 2.40

#### Declaration

    property frame-name: utf8 [ read ]

#### Description [src]

If this navigation request targets a new frame, this property contains the name of that frame. For example if the decision was triggered by clicking a link with a target attribute equal to “_blank”, this property will contain the value of that attribute. In all other cases, this value will be `NULL`.

Type: | `gchar*`
Deprecated since: | 2.40
Use `WebKitNavigationPolicyDecision:navigation-action` instead.

Getter method | `webkit_navigation_policy_decision_get_frame_name()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no